Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.ids

method

ma.masked_array.ids()

  Return the addresses of the data and mask areas.

  Parameters:
    None

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([1, 2, 3], mask=[0, 1, 1])
      >>> x.ids()
      (166670640, 166659832) # may vary

  If the array has no mask, the address of nomask is returned. This address is typically not close to the data in memory:

      >>> x = np.ma.array([1, 2, 3])
      >>> x.ids()
      (166691080, 3083169284) # may vary